ROOT = { 
	{% for x in flags -%}
	clr_dynasty_flag = {{x}}
	{% endfor -%}	
	{% for x in flags -%}
	if = { 
		limit = { has_character_flag = {{x}} }
		set_dynasty_flag = {{x}}
		}
	{% endfor -%}	
	any_dynasty_member = {
		#find my dynastic heir, I don't care about actual heir.
		limit = {is_heir=yes}
		character_event = { id={{ restart_event }} days=1}
		}
}